@import '../../@theme/styles/themes';

:host /deep/ ng2-st-tbody-custom {
  display: flex;
  height: 100%;
}

// a.ng2-smart-action.ng2-smart-action-custom-custom.ng-star-inserted

:host /deep/ ng2-st-tbody-custom a.ng2-smart-action.ng2-smart-action-custom-custom {
  // display: inline-block;
  // height: auto;
  // width: 50px;
  // text-align: center;
  border: none !important;
  font-size: 1.25rem !important;

  .bigger-icon {
    font-size: 2rem !important;
  }
}

:host /deep/ ng2-st-tbody-custom a.ng2-smart-action.ng2-smart-action-custom-custom:hover {
  color: nb-theme(color-primary-400);
}

.nb-theme-cosmic :host /deep/ ng2-st-tbody-custom a.ng2-smart-action.ng2-smart-action-custom-custom:hover {
  color: #b18aff;
}

// ::ng-deep {
//   .custom-outline-button {
//     background-color: rgba(221, 51, 51, 0.08);
//     border-color: #dd3333;
//     color: #dd3333 !important;

//     padding: 0.4375rem 0.875rem;

//     border-style: solid;
//     border-width: 0.0625rem;
//     text-transform: uppercase;

//     border-radius: 0.25rem;

//     font-size: 0.75rem !important;
//     line-height: 1rem !important;

//     transition-duration: 0.15s;
//     transition-property: background-color,border-color,box-shadow,color;
//     transition-timing-function: ease-in;
//   }
// }
